Legacy
Get response
deprecated
Retrieve an agent response by task ID, including output, model info, token usage, and execution status.
GET
Get response
Related guide: Build agents guide. See the Build agents guide for a walkthrough with examples.
This endpoint is deprecated. Retrieve a finished response with
GET /v3/router/responses/{response_id}.Authorizations
Path Parameters
Response
Response retrieved successfully. Returns the current state of the agent execution including output messages, model used, token usage, and status.
Response type from the get-response endpoint. Includes a status field indicating the current state of the agent execution.